Are you using gcc from Xcode or Macports?  I've had trouble using the macports compilers with YT, but the Xcode gcc 4.2.1 works with my macbook air 11" OSX 10.7.4.  If you have stuff installed from macports maybe try disabling macports and then install YT to see if it works?  Just have to take out /opt/local/bin from PATH variable.

From
G.S.

On Tue, Jul 17, 2012 at 8:00 PM, David Collins <dcollins@physics.ucsd.edu> wrote:
On 10.6.8, where Sam and I were working, I have a different build but
still gcc 4.2.1

>gcc --version
i686-apple-darwin10-gcc-4.2.1 (GCC) 4.2.1 (Apple Inc. build 5664)

d.

On Tue, Jul 17, 2012 at 7:21 PM, Nathan Goldbaum <nathan12343@gmail.com> wrote:
> FWIW, this is also on Lion:
>
> (yt-x86_64)goldbaum@~/Documents/yt-x86_64/src/yt-hg: gcc --version
> i686-apple-darwin11-llvm-gcc-4.2 (GCC) 4.2.1 (Based on Apple Inc. build
> 5658) (LLVM build 2336.1.00)
>
> yt builds fine for me from scratch.
>
>
>
> On 7/17/12 6:15 PM, Sam Skillman wrote:
>>
>>
>> Hi Carolyn,
>>
>> This is the thread I was referring to before:
>>
>> http://lists.spacepope.org/pipermail/yt-dev-spacepope.org/2012-June/002134.html
>>
>> It seems something is messed up in the build for new macs. I can try to
>> find the issue tomorrow but could you try what Dave did in that thread?
>>
>> The 4.2 compiler that comes with xcode should have openmp.  Hmm yours says
>> 4.2.1, can someone with a working Mac install check to see which exact
>> version it is? I wonder if apple upped their support of GCC by 0.0.1...
>>
>> Sam
>>
>> On Jul 17, 2012 7:05 PM, "Kacper Kowalik" <xarthisius.kk@gmail.com
>> <mailto:xarthisius.kk@gmail.com>> wrote:
>>
>>     On 07/18/2012 02:51 AM, Carolyn Peruta wrote:
>>     > Hello all,
>>     >
>>     > I tried to update yt on my mac (10.7.4)  and I'm running into
>>     errors with lib64.  I took Sam's advice and created a symbolic
>>     link from $(YT_DEST)/lib64 to /usr/local/lib/x86_64 but I am still
>>     getting errors like this:
>>     >
>>     > ld: warning: directory not found for option
>>     '-L/Users/cperuta/yt-x86_64/lib64/'
>>     >
>>     >
>>     > I've attached the logfile
>>     >
>>     > Ideas?
>>
>>     Hi,
>>     this is the actual cause of failure:
>>     gcc -bundle -undefined dynamic_lookup -L/Users/cperuta/yt-x86_64/lib/
>>     -L/Users/cperuta/yt-x86_64/lib64/ -L/Users/cperuta/yt-x86_64/lib/
>>     -L/Users/cperuta/yt-x86_64/lib64/ -L/Users/cperuta/yt-x86_64/lib/
>>     -L/Users/cperuta/yt-x86_64/lib64/ -L/Users/cperuta/yt-x86_64/lib/
>>     -L/Users/cperuta/yt-x86_64/lib64/
>>     build/temp.macosx-10.4-x86_64-2.7/yt/utilities/lib/geometry_utils.o
>> -lm
>>     -o yt/utilities/lib/geometry_utils.so -fopenmp
>>
>>     i686-apple-darwin11-gcc-apple-4.2.1: libgomp.spec: No such file or
>>     directory
>>     i686-apple-darwin11-gcc-apple-4.2.1: libgomp.spec: No such file or
>>     directory
>>
>>     Looks like the compiler you're using lacks openmp support.
>>     Cheers,
>>     Kacper
>>
>>
>>     _______________________________________________
>>     yt-users mailing list
>>     yt-users@lists.spacepope.org <mailto:yt-users@lists.spacepope.org>
>>     http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org
>>
>>
>>
>>
>> _______________________________________________
>> yt-users mailing list
>> yt-users@lists.spacepope.org
>> http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org
>
>
>
> _______________________________________________
> yt-users mailing list
> yt-users@lists.spacepope.org
> http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org



--
Sent from my computer.
_______________________________________________
yt-users mailing list
yt-users@lists.spacepope.org
http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org